function circle(x, y, radius) {
  ellipse(x, y, radius, radius);
}

function polar( r, theta ) {
  let dt = radians( theta );
  
  let x = r * cos( dt );
  let y = r * sin( dt );
  
  return createVector( x, y );
}

let count = 0;
let clockOrigin;
let clockRadius = 245;
let shortLineStart = clockRadius - 30;
let longLineStart = clockRadius - 10;
let lineEnd = clockRadius - 40;
let ticksOnClock = 12;

function setup() { 
  createCanvas(500, 500);
  clockOrigin = createVector(width/2, height/2); 
  frameRate(1);
}

function draw() {
  // Draw the clock face.
  background(255); // white
  fill(180);
  strokeWeight(4);
  circle(width/2, height/2, 245);
  //ellipse(width / 2, height / 2, 200, 200);
  // Draw the 12 ticks on the clock using line()
  //    with longer ticks for 3, 6, 9, and 12 o’clock.
  stroke(0); // black
  for (let i = 0; i < ticksOnClock; i++) {
    let startLine;
    if (i % 3 == 0) {
      strokeWeight(3.5);
      startLine = longLineStart;
    } else {
      strokeWeight(2);
      startLine = shortLineStart;
    }
    // pv1 is the start of the line.
    // pv2 is the end of the line.
    pv1 = polar(startLine, i * 30);
    pv2 = polar(lineEnd, i * 30);
    stroke(5);
    line(clockOrigin.x + pv1.x, clockOrigin.y + pv1.y,
         clockOrigin.x + pv2.x, clockOrigin.y + pv2.y);
  }
}
